package com.lanyuanxiaoyao.service.cloud.entity;

import org.eclipse.collections.api.list.ImmutableList;
import org.eclipse.collections.api.map.ImmutableMap;

/**
 * Prometheus服务发现
 *
 * @author lanyuanxiaoyao
 * @date 2024-01-31
 */
public class PrometheusTarget {
    private final ImmutableList<String> targets;
    private final ImmutableMap<String, String> labels;

    public PrometheusTarget(ImmutableList<String> targets, ImmutableMap<String, String> labels) {
        this.targets = targets;
        this.labels = labels;
    }

    public ImmutableList<String> getTargets() {
        return targets;
    }

    public ImmutableMap<String, String> getLabels() {
        return labels;
    }

    @Override
    public String toString() {
        return "PrometheusTarget{" +
               "ips=" + targets +
               ", labels=" + labels +
               '}';
    }
}
